---
# file: tests/1.test_defaults.yml

- name: "GITLAB-RUNNER | TEST-1 | run test when role defaults are unchanged"

  hosts: all
  gather_facts: True

  pre_tasks:
    - name: "***[ OPERATING SYSTEM ]***"
      debug:
        msg: "{{ item }}"
      with_items:
        - "OS:              {{ ansible_os_family|default('undefined') }}"
        - "Distribution:    {{ ansible_distribution|default('undefined') }}"
        - "Release:         {{ ansible_distribution_release|default('undefined') }}"
        - "Version:         {{ ansible_distribution_version|default('undefined') }}"
        - "Virtualization Role:  {{ ansible_virtualization_role|default('undefined') }}"
        - "Virtualization Type:  {{ ansible_virtualization_type|default('undefined') }}"
    - name: "***[ PLAY VARIABLES ]***"
      debug:
        msg: "{{ item }}"
      with_items:
        - "gitlab_runner_package_state: {{ gitlab_runner_package_state }}"

  roles:
    - role_is_being_tested
